# Web URL widget advanced

Extend URL widget features to ease customization of anchor’s text.

By default the URL widget will show the plain URL. You can specify an attribute text to provide a static label too.

With this module you can use a field for link’s inner text.

Table of contents

- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

Use url widget as you do usually, then add an extra parameter text_field to indicate which field (present in the view already) must be used for the anchor text.

    <field name="some_url" widget="url" text_field="another_field" />

M2O fields are supported: display_name is used automatically.

For example, in the partner form, if you want to display the website link with partner’s name as anchor you can do:

    <field name="website" widget="url" text_field="name" placeholder="e.g. www.odoo.com"/>

This is going to change the rendering from

to

# Known issues / Roadmap

- `<field text_field="foo"/>` is not supported in tree views.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Camptocamp

## Contributors

- Simone Orsi <simone.orsi@camptocamp.com>
- Alexey Pelykh <alexey.pelykh@brainbeanapps.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.